<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>flutter_fimber_log-test.xml</title>
    <style type="text/css">
        body {
    background-color: white;
    padding-bottom: 20em;
    margin: 0;
    min-height: 15cm;
}

h1, h2, h3, h4, h5, h6, h7 {
    font-family: sans-serif;
}

h1 {
    background-color: #007acc;
    color: white;
    padding: 3mm;
    margin-top: 0;
    margin-bottom: 1mm;
}

.footer {
    font-style: italic;
    font-size: small;
    text-align: right;
    padding: 1em;
}

.testsuite {
    padding-bottom: 2em;
    margin-left: 1em;
}

.proplist {
    width: 100%;
    margin-bottom: 2em;
    border-collapse: collapse;
    border: 1px solid grey;
}

.proplist th {
    background-color: silver;
    width: 5em;
    padding: 2px;
    padding-right: 1em;
    text-align: left;
}

.proplist td {
    padding: 2px;
}

.index-table {
    width: 90%;
    margin-left: 1em;
}

.index-table td {
    vertical-align: top;
    width: 50%;
}

.failure-index {

}

.toc {
    margin-bottom: 2em;
    font-family: monospace;
}

.stdio, pre {
    min-height: 1em;
    background-color: #1e1e1e;
    color: silver;
    padding: 0.5em;
}
.tdpre {
    background-color: #1e1e1e;
}

.test {
    margin-left: 0.5cm;
}

.outcome {
    border-left: 1em;
    padding: 2px;
}

.outcome-failed {
    border-left: 1em solid lightcoral;
}

.stats-table {
}

.stats-table td {
    min-width: 4em;
    text-align: right;
}

.stats-table .failed {
    background-color: lightcoral;
}

.stats-table .passed {
    background-color: lightgreen;
}

.matrix-table {
    table-layout: fixed;
    border-spacing: 0;
    width: available;
    margin-left: 1em;
}

.matrix-table td {
    vertical-align: center;
}

.matrix-table td:last-child {
    width: 0;
}

.matrix-axis-name {
    white-space: nowrap;
    padding-left: 0.5em;
    border-left: 1px solid black;
    border-top: 1px solid black;
}

.matrix-axis-line {
    border-left: 1px solid black;
    width: 0.5em;
}

.matrix-classname {
    text-align: left;
    width: 100%;
    border-top: 2px solid grey;
    border-bottom: 1px solid silver;
}

.matrix-casename {
    text-align: left;
    font-weight: normal;
    font-style: italic;
    padding-left: 1em;
    border-bottom: 1px solid silver;
}

.matrix-result {
    display: block;
    width: 1em;
    text-align: center;
    padding: 1mm;
    margin: 0;
}

.matrix-result-combined {
    white-space: nowrap;
    padding-right: 0.2em;
    text-align: right;
}

.matrix-result-failed {
    background-color: lightcoral;
}

.matrix-result-passed {
    background-color: lightgreen;
}

.matrix-result-skipped {
    background-color: lightyellow;
}
    </style>
</head>
<body>
    
<h1>
    Test Report : flutter_fimber_log-test.xml
</h1>
<a id="toc"></a>
<table class="index-table">
    <tr>
        <td>
            <ul class="toc">
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.app_title
                <ul>
                    
                    <li><a href="#05308118-07ae-4493-9547-31ba918bbbd2">Basic App Chrome Title test Specified title and color are used to build a Title</a></li>
                    
                    <li><a href="#14d813db-6c49-457a-b002-9ddca9fa7018">Basic App Chrome Title test onGenerateTitle handles changing locales</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.golden_widget
                <ul>
                    
                    <li><a href="#55941883-826e-490f-8f57-a6ddb804c961">Basic Golden Tests  Golden test</a></li>
                    
                    <li><a href="#6d91cda2-0ec6-4662-a8ab-31ef369eda01">Basic Golden Tests  DeviceBuilder  Golden</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.my_home_page
                <ul>
                    
                    <li><a href="#9cf78889-f63c-4354-9eb5-ecc937bb624a">DeviceBuilder - one scenario - default devices Golden</a></li>
                    
                    <li><a href="#47b3bba2-ca13-4347-a6a2-0a14548fb6ec">DeviceBuilder - one scenario - override devices Golden</a></li>
                    
                    <li><a href="#4443fa7f-d2ff-40cd-8da0-e1e79d69931a">DeviceBuilder - multiple scenarios - with onCreate Golden</a></li>
                    
                </ul>
                </li>
                
            
                
                <li>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.widget
                <ul>
                    
                    <li><a href="#5c31f50c-8254-4cea-a531-7821cedaf621">Basic Simple Unit Test Counter increments smoke test</a></li>
                    
                </ul>
                </li>
                
            
            </ul>
        </td>
        <td class="failure-index">
            <ul class="toc">
            
                
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                    
                    
                    
                    
                
            
                
                    
                    
                    
                
            
            </ul>
        </td>
    </tr>
</table>


    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.app_title</h2>
        <a id="985c00c4-88d1-4ed0-b602-2951c2332c99"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>2</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.app_title</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="05308118-07ae-4493-9547-31ba918bbbd2"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic App Chrome Title test Specified title and color are used to build a Title</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>1.9 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="14d813db-6c49-457a-b002-9ddca9fa7018"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic App Chrome Title test onGenerateTitle handles changing locales</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>0.0 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.golden_widget</h2>
        <a id="457650fa-b778-4fdd-8af1-b127396faee8"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>2</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.golden_widget</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="55941883-826e-490f-8f57-a6ddb804c961"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Golden Tests  Golden test</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>3.9 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="6d91cda2-0ec6-4662-a8ab-31ef369eda01"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Golden Tests  DeviceBuilder  Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>0.5 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.my_home_page</h2>
        <a id="2c559715-d1ab-4eb6-85cd-7a86cba551ee"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>3</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.my_home_page</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="9cf78889-f63c-4354-9eb5-ecc937bb624a"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - one scenario - default devices Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>3.8 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="47b3bba2-ca13-4347-a6a2-0a14548fb6ec"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - one scenario - override devices Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>0.5 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                    <div class="test outcome outcome-passed">
                        <a id="4443fa7f-d2ff-40cd-8da0-e1e79d69931a"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>DeviceBuilder - multiple scenarios - with onCreate Golden</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>3.7 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    

    <div class="testsuite">
        <h2>Test Suite: D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.widget</h2>
        <a id="a9179081-8685-426f-b17f-b964d0e110ad"></a>
        
        
        <h3>Suite Properties</h3>
        <table class="proplist">
            
            <tr>
                <th>platform</th><td>vm</td>
            </tr>
            
        </table>
        
        <h3>Results</h3>
        <table class="proplist">
            <tr>
                <th>Duration</th><td>0.0 sec</td>
            </tr>
            <tr>
                <th>Tests</th><td>1</td>
            </tr>
            <tr>
                <th>Failures</th><td>0</td>
            </tr>
        </table>

        <div class="testclasses">
            <h3>Tests</h3>
            
            <div class="testclass">
                <h4>D:.fredgrttsstuff.ForkProjects.flutter_fimber_log.test.widget</h4>
                <div class="testcases">
                
                    <div class="test outcome outcome-passed">
                        <a id="5c31f50c-8254-4cea-a531-7821cedaf621"></a>
                        <table class="proplist">
                            <tr><th>Test case:</th><td><b>Basic Simple Unit Test Counter increments smoke test</b></td></tr>
                            <tr><th>Outcome:</th><td>Passed</td></tr>
                            <tr><th>Duration:</th><td>2.4 sec</td></tr>
                        
                            <tr><th>Failed</th><td>None</td></tr>
                        
                        
                        </table>

                        
                        <pre>None</pre>
                        
                        

                        
                        
                        
                    </div>
                
                </div>
            </div>
            
        </div>
    </div>
    



<p class="footer">
    Generated by junit2html
</p>
</body>
</html>